Автор Тема: Принтеры Hewlett Packard (HP) LaserJet | DeskJet  (Прочитано 52251 раз)

Alexander7_88

  • Ветеран
  • *****
  • Сообщений: 1514
  • Карма: +217/-4
  • Универсальный поисковый бот
    • Просмотр профиля
Re: Принтеры Hewlett Packard (HP) LaserJet | DeskJet
« Ответ #225 : 06 Май 2013, 20:18:57 »
ну так. вы сами её уже написали :-)
сat /var/lib/foo2zjs/firmware/ship1018.dl > /dev/usb/lp0
1.) открываем файл от root
sudo nano /etc/init.d/rc.local2.) дописываем вашу команду в конец файла или в секцию start   

EropAC

  • Новичок
  • *
  • Сообщений: 6
  • Карма: +0/-0
  • Я новичок в Linux Mint Росинке...
    • Просмотр профиля
Re: Принтеры Hewlett Packard (HP) LaserJet | DeskJet
« Ответ #226 : 07 Май 2013, 07:18:45 »
Спасибо попробую.

Alexcostariha

  • Пользователь
  • **
  • Сообщений: 70
  • Карма: +11/-0
    • Просмотр профиля
Re: Принтер HP Deskjet Ink Advantage 2515 на Росинке 11
« Ответ #227 : 07 Декабрь 2013, 11:15:42 »
Добрый день. Купил МФУ HP Deskjet Ink Advantage 2515, установил его через Система - Администрирование-Печать. Все отлично, только компьютер не видит мое МФУ. Понимаю, что наверное мой драйвер устарел; а репозитории для Росинки 11 у нас как известно не работают. На официальном сайте HP нашел минимально допустимый драйвер  Minimum HPLIP version 3.12.6 , а он в свою очередь требует минимум Linux Mint 13, см. http://hplipopensource.com/hplip-web/models/deskjet_aio/deskjet_2510_series.html. Можно ли попробовать установить этот драйвер ?
 Честно говоря я уже скачал самый последний драйвер 3.13.11 и пробовал его установить  как написано на сайте, командой sh hplip-3.13.11.run  в терминале. При выполнении команды было сообщение, что моя операционная система устарела(нужно не менее LinuxMint13) и могут быть не соблюдены некоторые зависимости. На этом этапе мне предложено продолжить или прервать  установку драйвера. Я прервал.
По команде
dpkg -l hplip ,
мой текущий драйвер определяется как  3.11.1-2ubuntu HP Linux Printing and Imaging System (HPLIP).
« Последнее редактирование: 07 Декабрь 2013, 12:14:25 от Alexcostariha »

Azure

  • Глобальный модератор
  • Ветеран
  • *****
  • Сообщений: 2118
  • Карма: +275/-114
  • Обычно я му-р-р-р-чу
    • Просмотр профиля
    • Exilibris Web Development
Re: Принтеры Hewlett Packard (HP) LaserJet | DeskJet
« Ответ #228 : 07 Декабрь 2013, 16:11:54 »
Вы поднимаете философский вопрос "А зачем обновлять систему или устанавливать новую?" Вот Вам один из тезисов: "Выпускается новое оборудование, поддержка которого осуществляется только в новых системах."
Теперь решение за Вами: или новая система, или "нет" новому оборудованию.

Alexcostariha

  • Пользователь
  • **
  • Сообщений: 70
  • Карма: +11/-0
    • Просмотр профиля
Re: Принтеры Hewlett Packard (HP) LaserJet | DeskJet
« Ответ #229 : 07 Декабрь 2013, 22:09:06 »
12.12. 2013 г. Переустановил систему на Росинку 13 и принтер заработал.  *THUMBS*.
Спасибо за совет. :-)
« Последнее редактирование: 12 Декабрь 2013, 12:23:10 от Alexcostariha »

chitar

  • Новичок
  • *
  • Сообщений: 17
  • Карма: +0/-1
  • Я новичок в Linux Mint Росинке...
    • Просмотр профиля
Re: Принтеры Hewlett Packard (HP) LaserJet | DeskJet
« Ответ #230 : 07 Май 2014, 12:57:24 »
Здравствуйте, помогите, если можно решить мою проблему. В один несчастный день перестали печатать на двух компьютерах сразу два принтера hp 1018 и m1005mfp. Симптомы одинаковые, отправляется на печать и висит в очереди со статусом обработка. Оба были подключены к компьютерам с mint xfce 16. Причем обновления вроде никакие не приходили. Помучившись с 1018 плюнул и подсоединил к рядом стоявшему виндовому компу, все  заработало. С мфу такой фокус не проходит, рядом стоит компьютер с mint 15 mate на котором оно так же в свое время отказалось печатать, в связи с чем и было по-быстрому переключено на этот компьютер.
Почитав в сети и зайдя сюда прочитал, что одной из причин такого поведения может быть отсутствие прошивки. Но беда в том, что по команде getweb моего аппарата не выходит, а попытка по виндовому способу переустановить на драйвера от принтеров 1018 или 1020 приводит к сообщению об отсутствии тонера. Если можно, подскажите, куда можно поковырять дальше, или проще переставить систему?

Alexcostariha

  • Пользователь
  • **
  • Сообщений: 70
  • Карма: +11/-0
    • Просмотр профиля
Re: Принтеры Hewlett Packard (HP) LaserJet | DeskJet
« Ответ #231 : 02 Декабрь 2015, 09:15:40 »
Добрый день!  Система LM Cinnamon 17.2. Не работает принтер HP LaserJet PRO MFP M125r .  В системе имеется предустановленный драйвер hplip  3.15.2-0trusty4.1.  Вроде не самый старый.  Нашел статью здесь http://www.linux.org.ru/forum/general/12024630 и ничего в не понял. По команде
$ sudo hp-plugin -i
 выдает, что у меня порченный драйвер. Переустановил его через синаптик, но безрезультатно. Посмотрел на http://sourceforge.net/ - самая свежая версия hplip-3.5.11. Что делать?

Kamrad

  • Ветеран
  • *****
  • Сообщений: 599
  • Карма: +141/-11
  • Пингвиновод
    • Просмотр профиля
Re: Принтеры Hewlett Packard (HP) LaserJet | DeskJet
« Ответ #232 : 02 Декабрь 2015, 17:53:49 »
Что делать?

Попробуйте установить  LM Cinnamon 17.1 - или предыдущий релиз. Скорее всего, дело в ядре - попробуйте понизить его версию.
Кто хочет на компьютере юзить, музить и вузить - пусть купит себе вульвузеллу!

"Linux используют ...э....энтузиасты, а нормальные люди работают на Windows! Вот представьте - приучили вы ребёнка работать с Linux, а придёт он в школу, где кругом Windows - и что он будет делать?!"

Alexcostariha

  • Пользователь
  • **
  • Сообщений: 70
  • Карма: +11/-0
    • Просмотр профиля
Re: Принтеры Hewlett Packard (HP) LaserJet | DeskJet
« Ответ #233 : 03 Декабрь 2015, 10:20:25 »
Спасибо за совет! Мне не хочется понижать версию. Я погонял гугл и обратил внимание, что на  оф сайте HP  советуют ставить их драйвер с сайта. Вот здесь есть пошаговая инструкция по смене драйвера http://hplipopensource.com/hplip-web/install/manual/distros/linuxmint.html. Перед этим я вбил свой принтер и  мою систему и они  указали, что у LM17.2 стоит  дравер версии 3.14.3(хотя уже 3.15.2) и он не подходит. Там очень много шагов, но и инструкция очень подробная и драйвер самый свежий, что подкупает. Может попробовать?
« Последнее редактирование: 10 Декабрь 2015, 13:08:19 от Alexcostariha »

Kamrad

  • Ветеран
  • *****
  • Сообщений: 599
  • Карма: +141/-11
  • Пингвиновод
    • Просмотр профиля
Re: Принтеры Hewlett Packard (HP) LaserJet | DeskJet
« Ответ #234 : 03 Декабрь 2015, 23:30:17 »
Попробуйте, конечно! Но лично я остаюсь пока на версии 17.1, так как в версии 17.2 ещё довольно много "шероховатостей". Ещё - для расширения кругозора и, возможно, для подбора более подходящего для использования дистрибутива - рекомендую посетить http://matuntu.org/ru/ - очень продуманные, сбалансированные сборки делает сударыня, мне они понравились.
Кто хочет на компьютере юзить, музить и вузить - пусть купит себе вульвузеллу!

"Linux используют ...э....энтузиасты, а нормальные люди работают на Windows! Вот представьте - приучили вы ребёнка работать с Linux, а придёт он в школу, где кругом Windows - и что он будет делать?!"

Alexcostariha

  • Пользователь
  • **
  • Сообщений: 70
  • Карма: +11/-0
    • Просмотр профиля
Re: Принтеры Hewlett Packard (HP) LaserJet | DeskJet
« Ответ #235 : 05 Декабрь 2015, 15:16:01 »
 Вот что пишут на официальном сайте http://hplipopensource.com/hplip-web/release_notes.html

HPLIP 3.15.9 - This release has the following changes:....
Added support for the following new Distro's:
- Debian 7.9
- Debian 8.2
- Linux Mint 17.2
 Следовательно поддержка LM17.2 добавлена начиная с  версии драйвера 3.15.9. Попробую переустановить и отпишусь.
Кстати для LM17.1 - начиная с версии 3.15.4.

Alexcostariha

  • Пользователь
  • **
  • Сообщений: 70
  • Карма: +11/-0
    • Просмотр профиля
Re: Принтеры Hewlett Packard (HP) LaserJet | DeskJet
« Ответ #236 : 09 Декабрь 2015, 22:26:03 »
Добрый день! Принтер я установил.  Принтер для установки - новое МФУ HP LaserJet Pro M125r на Linux Mint 17.2 Cinnamon. Решил поделиться своими впечатлениями.
В принципе ничего не изменилось с того момента как Azure  в начале этой темы  28 декабря 2010 года    написал команду :
 
Цитировать
# sudo sh hplip-3.10.9.run

      *Если есть желание самим разобраться, ответы на все вопросы, даже при слабом знании английского, есть на сайте http://hplipopensource.com/hplip-web/index.html .
      ** Оказалось, что  для лазерных принтеров или МФУ LaserJet от фирмы Hewlett Paccard, которых в настоящее время существует около 50 разновидностей, требуется устанавливать дополнительный бинарный плагин к драйверу hplip . Это можно сделать командой hp-plugin, при условии, что имеющийся в вашей системе драйвер hplip  включает в себя  особую поддержку для  вашей версии дистрибутива. Данное описание подходит для любого дистрибутива не считая особенностей применения команды apt - она у LM своя.

                                                                                                                                       I  Прелюдия
   Напомню, что у меня стоял предустановленный драйвер hplip  3.15.2-0trusty4.1, однако новый лазерный принтер  HP LaserJet Pro M125r на моей свежайшей системе Linux Mint  17.2 Cinnamon работать отказался. Вот они последствия гонки за новинками!  *WALL* / . До этого стоял струйный принтер МФУ HP Deskjet Ink Advantage 2515 - и он прекрасно работал на этой же системе.
 В настоящий  момент  самый новый драйвер HPLIP 3.15.11  имеет  поддержку LM 17.2, которая появилась в предыдущей версии hplip 3.15.9 . Смотрите  есть ли поддержка ваших версий дистрибутивов у последних  выпусков драйвера HPLIP  на http://hplipopensource.com/hplip-web/release_notes.html .
  Для начала я попытался понять какая команда управляет принтером в терминале. Это неочевидно. Драйвер к принтерам Hewlett-Packard для Линукса называется hplip , однако одноименной команды в терминале к моему удивлению не оказалось. Немного покопавшись, я  обнаружил, что при нажатии в терминале  hp Tab+Tab  выпадает целый список команд для hp:
~ $ hp                                                            # два раза  нажать клавишу Tab
hp-align               hp-info                hp-query
hp-check               hp-levels              hp-scan
hp-clean               hp-logcapture          hp-setup
hp-colorcal            hp-makeuri             hpssd
hp-config_usb_printer  hp-pkservice           hp-testpage
hp-doctor              hp-plugin              hp-timedate
hp-firmware            hp-plugin-ubuntu       hp-unload
hp-hpdio               hp-probe
Не все из этих команд имеют  справочные маны, но даже по названиям можно разобраться что к чему. Команды hp-plugin  и hp-plugin-ubuntu не работали вообще. Я решил запустить команду hp-check - проверка драйвера:
 
Цитировать
~ $ hp-check
В выводе команды имеется строка:
warning: linuxmint-17.2 version is not supported. Using linuxmint-17 versions dependencies to verify and install...- понятно, LM17.2 не поддерживается.

Далее были строки:
-----------
| SUMMARY |
----------
[i]Missing Required Dependencies[/i] - содержит список из 17 желательных зависимостей
[i]Missing Optional Dependencies[/i] - содержит список из трех необязательных зависимостей
И в конце:
[i]Run 'hp-doctor' command to prompt and fix the issues.[/i] - можно запустить доктора-hp для лечения всех зависимостей.
 

   * После запуска утилиты hp-check в домашней папке появился файл hp-check.log со всем содержимым вывода из командной строки, очень удобно.
   **Доктора я запустил - это команда hp-doctor , однако сделал этотолько из Live CD, чтобы не засорять систему. Доктор-hp  честно предупредил меня, что моя версия LM17.2 не поддерживается и потребовал пароль для дальнейших действий. В Лайфсиди оказалось, что для пароля рут можно набрать что угодно. Доктор-hp скачал кучу зависимостей, однако он не помог и принтер не запустился.  Возможно надо было после доктора-hp  запустить команду hp-plugin или hp-setup ( см. ниже). Может у кого получится. Предварительный вывод был таким: видимо разработчики LM17.2 так закрутили свою систему, что ей понадобилась отдельная поддержка от драйвера HPLIP.

                                                                                                     II      Установка драйвера
    Пришлось перейти к установке нового драйвера.
Для начала я побродил по интернету . Кое-где советуют удалить перед установкой старый драйвер. Я его удалил, но  сейчас уверен, что этого  можно не делать. Собственно это и было для меня камнем преткновения- что делать со старым драйвером. Оказалось, что имеются два способа установки драйвера - в ручном режиме и автоматическом. Ручной режим установки - для продвинутых пользователей, автоматический - для начинающих. Так вот, в ручном режиме вы все делаете сами- ручками: распаковываете архив, скачиваете зависимости и удаляете старый драйвер тоже. В автоматическом режиме, програма установки все делает сама и в том числе  сама удаляет старый драйвер! Так зачем  удалять драйвер самому? Но все по порядку. Описываю только то, что делал сам.
Удаление старого драйвера. По команде
Цитировать
~$ apt search hplip
 
выяснилось, что у меня установлены  hplip и hplip-data
i   hplip                           - система печати HP                                       / установлен
p   hplip:i386                      - система печати HP                         
i   hplip-data                      - HP Linux Printing and Imaging System (файл               / установлен
p   hplip-dbg                       - HP Linux Printing and Imaging - отладочная
p   hplip-dbg:i386                  - HP Linux Printing and Imaging - отладочная
p   hplip-doc                       - HP Linux Printing and Imaging - документац
p   hplip-gui                       - HP Linux Printing and Imaging — утилиты с
v   hplip-ppds                      -               
                           
Эти пакеты удаляем:
Цитировать
~$ apt purge hplip

Цитировать
~$ apt purge hplip-data
  * Несмотря на эти действия программа установки нового драйвера в автоматическом режиме нашла у меня остатки старого драйвера hplip  3.15.2-0trusty4.1 и попросила разрешения их удалить. Думаю, это были конфигурационные файлы в домашней папке.
Далее все делалось по оф. сайту, там нажимаем слева меню Download, затем кнопочку Download HPLIP, затем вас  попросят ввести данные вашего принтера и данные вашего дистрибутива. После нескольких шагов, выбирая наиболее простой путь, я оказался на странице с автоматической загрузкой и установкой драйвера
  * Поплутав в дебрях  сайта я набрел даже на ручную установку специально для Linux Mint , но она мне не показалась и я решил ее не испытывать. Именно там и советуют убирать старый драйвер перед установкой нового. .
**При скачивании драйвера вам предложат проверить его подлинность. Непонятно зачем это нужно, если его скачивать и тут же устанавливать - он даже испортится не успеет. Несмотря на мои сомнения я   выполнил точно все указания и в результате получил заверение о том, что мой свежескачанный драйвер ненастоящий!!!  *STOP* Чтож ненастоящий - значит ненастоящий, может он китайский - как принтер, другого  все-равно нет! - решил я,  и приступил к установке.
 Далее все делаем по инструкции через команду, будем смеяться    :-D :
Цитировать
~$ sh hplip-3.15.11.run
  * Выполнять команду нужно в той папке куда скачался драйвер. Например: драйвер скачался в папку Загрузки, тогда в терминале переходим в эту папку командой cd Загрузки .
   На сайте довольно подробная инструкция с картинками. Програма установки сама, но с вашего согласия, загружает необходимые зависимости и удаляет старый драйвер. В конце установки есть такая тонкость:
программа установки попросит вас либо разрешения на перезагрузку системы, либо вам надо вытащить USB-кабель от принтера из системного блока или куда он там у вас вставлен, и затем воткнуть взад. Обратите внимание на этот тонкий момент.
 Без сюрпризов все-таки не обошлось.
 В самом конце установки запускается программа hp-setup. Она    на страничке внизу там где картинки. Программа имеет графическое окошко. Возможно я что-то не так нажал, но програма сказала, что мне нужен бинарный плагин  без которого не все в порядке в королевстве датском! - и отказалась дальше работать, послав меня к программе hp-plugin. Трагедия! Интересно, а что я до этого делал- не драйвер ли устанавливал?
  * По совету программы я посмотрел  соответствующую страничку сайта где все очень любезно объясняется. Там можно разобраться в чем разница между програмами hp-setup и hp-plugin и зачем они вообще нужны. Там пишут, что некоторые принтеры, куда входят уже 50 LaserJet принтеров или MFP (мой случай)  список прилагается, никак невозможно запускать без дополнительного плагина, ну совсем никак, но этот плагин, вот беда, проприетарный, и очень нужно заключать дополнительное лицензионное соглашение. Что касается разницы между программами, то програма hp-setup имеет  либо графическое либо терминальное окно, она  скачивает и затем устанавливает дополнительный плагин  (это не совсем так - см. ниже) и добавляет ваш принтер в систему печати на вашем компьютере (это - верно). Программа  hp-plugin тоже может иметь графическоя окно (опция  - u)  она умеет  только скачивать и устанавливать нужный плагин без записи.  В моем случае программа hp-setup только добавила мой принтер в систему печати. Установленные в  системе принтеры можно увидеть через Меню-Принтеры или набрав в терминале:
Цитировать
~ $ system-config-printer       #  это я подсмотрел у Azure  :-X 
 
  ** Непонятна причина сбоя  установки дополнительного плагина  программой hp-setup. Перед запуском программы hp-setup меня спросили:
Цитировать
PRINTER SETUP
-------------
Please make sure your printer is connected and powered on at this time.
Do you want to setup printer in GUI mode? (u=GUI mode*, i=Interactive mode) : u
  -что примерно означает: " Вам как с графической картинкой или в черном терминале?" Я естественно выбрал с картинкой - u ( В ообщем после нескольких установок принтеров могу вам сказать: выбирайте опцию i=Interactive mode ; вы останетесь в терминале и спокойно завершите установку и избежите всех перечисленных непоняток. Видимо графическое обеспечение слегка хромает). Однако  программа hp-setup с картинкой не предусматривала ни ввода пароля администратора   ни тем более загрузку дополнительный плагина как это пишут на сайте .   Правда в ман странице на программу hp-setup ничего не гворится о том, что она может скачивать и устанавливать дополнительный бинарный плагин. Наверное здесь какая-то путаница.  В итоге для меня полезность команды hp-setup состоит только в том, что она добавляет  принтер в систему печати на  компьютере ;  еще, если не врет man, можно настроить язык . Вывод: выглядит все так, как будто разрабочики драйвера hplip, когда  появилась необходимость в дополнительном бинарном драйвере, только намеревались придать команде hp-setup функцию его загрузки и установки, сделали соответствующую запись на сайте,  а потом благополучно забросили все это и взамен пришлепали к команде hp-setup заплатку с предупреждением о необходимости загрузить дополнительный бинарный плагин командой  hp-plugin "если чо". Запись на сайте о возможности загрузки и установки дополнительного бинарного плагина  стирать не стали - чтобы самим не забыть о своих благих намерениях.

   Однако спорить нечего и пришлось подчиниться. По требованию програмы hp-setup я  запустил в терминале другую команду hp-plugin, для продвинутых:
Цитировать
~$ hp-plugin -i
    * Опцию -i  я добавил для того, чтобы видеть подробности, она часто встречается в других командах! Вам еще понадобятся права администратора.
 Что-то там в терминале покрутилось повертелось и потребовало, чтобы я  подтвердил лицензионное соглашение, я подтвердил, и оно сказало мне что мол все в порядке - жить будете, Done.
Слегка ошарашенный тем, что меня бросили на произвол судьбы, я затаив дыхание запустил пробную страницу  командой:
 
Цитировать
  ~$ hp-testpage
 
   - это же можно сделать через Меню-Принтеры-Свойства. И о чудо - мой принтер ожил и  напечатал мне пробную страницу, а затем и другую из файла! Ура-а-а!! За-ра-бо-тало!!    :-D  *THUMBS*
   Вывод: Для лазерных принтеров от фирмы Hewlett Paccard требуется скачивать  дополнительный бинарный плагин командой hp-plugin из пакета hplip.  Для этих устройств может создасться ситуация,  когда дополнительный бинарный плагин для устройств Laserjet не скачивается командой hp-plugin из предустановленного  драйвера hplip от вашего дисрибутива. Это происходит  с момента, когда появляется новая версия вашего дисрибутива, до того момента, пока разработчики  hplip-драйвера не сделают для нее поддержку  в обновлениях драйвера . Кроме того требуется дополнительное  время, чтобы такой драйвер появился в  репозиториях вашего дисрибутива и  вы могли его обновить. В таком случае нужно отслеживать список поддерживаемых новых версий вашего дистрибутива  по страничке обновлений  драйвера . Если найдете свежайшую версию вашего дисрибутива в списке поддерживаемых - можете переустановить драйвер и запустить команду hp-plugin. Драйвер, судя по списку, обновляется часто, так что ждать придется недолго, если вообще придется ждать.  Если вы не торопитесь, то  версия предустановленного драйвера в вашем дисрибутиве  подтянется до уровня поддержки рано или поздно сама - следите за обновлениями системы!  :-D  С помощью такого механизма разработчики hplip драйвера могут ограничивать доступ  разных дистрибутивов к указанным устройствам в Линукс.
 
« Последнее редактирование: 16 Октябрь 2016, 22:29:50 от Alexcostariha »

Kamrad

  • Ветеран
  • *****
  • Сообщений: 599
  • Карма: +141/-11
  • Пингвиновод
    • Просмотр профиля
Re: Принтеры Hewlett Packard (HP) LaserJet | DeskJet
« Ответ #237 : 10 Декабрь 2015, 12:20:39 »
Хороший обзор, спасибо!
Кто хочет на компьютере юзить, музить и вузить - пусть купит себе вульвузеллу!

"Linux используют ...э....энтузиасты, а нормальные люди работают на Windows! Вот представьте - приучили вы ребёнка работать с Linux, а придёт он в школу, где кругом Windows - и что он будет делать?!"

MOHA

  • Старожил
  • ****
  • Сообщений: 273
  • Карма: +33/-1
    • Просмотр профиля
Re: Принтеры Hewlett Packard (HP) LaserJet | DeskJet
« Ответ #238 : 15 Декабрь 2015, 21:50:40 »
Хороший обзор, спасибо!
*YES* *THUMBS* +
Дорогу осилит идущий!